/*
 * Class WEL_COMMAND_EXEC
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_97 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_97 [] = {0xFF01,1551,96,0xFFFF};
static const EIF_TYPE_INDEX egt_2_97 [] = {0xFF01,96,0xFFFF};
static const EIF_TYPE_INDEX egt_3_97 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_97 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_97 [] = {0xFF01,96,0xFFFF};
static const EIF_TYPE_INDEX egt_6_97 [] = {0xFF01,96,0xFFFF};
static const EIF_TYPE_INDEX egt_7_97 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_97 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_97 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_97 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_97 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_97 [] = {0xFF01,96,0xFFFF};
static const EIF_TYPE_INDEX egt_13_97 [] = {0xFF01,296,0xFFFF};


static const struct desc_info desc_97[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_97), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_97), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_97), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_97), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_97), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_97), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_97), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_97), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_97), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_97), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_97), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_97), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0xC1 /*96*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_97), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1269, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_97), 1270, 0},
	{EIF_NON_GENERIC(0x01 /*0*/), 1271, 4},
	{EIF_GENERIC(NULL), 1272, 0xFFFFFFFF},
};
void Init97(void)
{
	IDSC(desc_97, 0, 96);
	IDSC(desc_97 + 1, 1, 96);
	IDSC(desc_97 + 32, 761, 96);
}


#ifdef __cplusplus
}
#endif
